Subject: Re: [DGD] Telnet Echo / Carriage Returns
From: "Felix A. Croes"
Date: Sat, 4 Sep 2004 13:43:01 +0200

Thomas Rice <[email-masked]> wrote:

> Hmm, I noticed I setting on my telnet client (putty) for "local line
> editing". I had it on "auto", which makes it not drop to the next line
> when I press enter. If I switch it to "force on" it will then go to
> the next line like I want.
>
> So it seems this is the option I'm looking for. :) Does anyone know
> what I need to change in the Kernel lib and/or the driver source so
> that a client with 'auto' will turn this value to on?

DGD always sends \r\n as a newline on telnet connections.  But it does
not respond to some of the more advanced settings that putty may be
attempting.  Your options are to modify dgd/src/comm.c to more fully
implement telnet option negotiation, to change putty settings instead
of DGD/LPC code, or to connect to the binary port.

Regards,
Dworkin